AUGMENTOR:
  ADDITIONAL_TARGETS_NAME:
  - label
  ADDITIONAL_TARGETS_TYPE:
  - mask
  COPYPASTE:
    AUG_THRES: 0.7
    ENABLED: false
    P: 0.8
    SKIP: []
  CUTBLUR:
    DOWNSAMPLE_Z: false
    DOWN_RATIO_MAX: 8.0
    DOWN_RATIO_MIN: 2.0
    ENABLED: false
    LENGTH_RATIO: 0.4
    P: 0.5
    SKIP: []
  CUTNOISE:
    ENABLED: true
    LENGTH_RATIO: 0.4
    P: 0.3
    SCALE: 0.3
    SKIP: []
  ELASTIC:
    ALPHA: 16.0
    ENABLED: false
    P: 0.75
    SIGMA: 4.0
    SKIP: []
  ENABLED: true
  FLIP:
    DO_ZTRANS: 0
    ENABLED: true
    P: 1.0
    SKIP: []
  GRAYSCALE:
    ENABLED: false
    P: 0.75
    SKIP: []
  MISALIGNMENT:
    DISPLACEMENT: 16
    ENABLED: false
    P: 0.5
    ROTATE_RATIO: 0.5
    SKIP: []
  MISSINGPARTS:
    ENABLED: false
    ITER: 64
    P: 0.9
    SKIP: []
  MISSINGSECTION:
    ENABLED: false
    NUM_SECTION: 2
    P: 0.5
    SKIP: []
  MOTIONBLUR:
    ENABLED: false
    KERNEL_SIZE: 11
    P: 0.5
    SECTIONS: 2
    SKIP: []
  RESCALE:
    ENABLED: false
    FIX_ASPECT: false
    P: 0.5
    SKIP: []
  ROTATE:
    ENABLED: true
    P: 1.0
    ROT90: true
    SKIP: []
  SMOOTH: false
DATASET:
  CHUNK_IND_SPLIT: null
  DATA_CHUNK_IND: null
  DATA_CHUNK_ITER: 1000
  DATA_CHUNK_NUM:
  - 1
  - 1
  - 1
  DATA_CHUNK_STRIDE: true
  DATA_COORD_RANGE: null
  DATA_SCALE: &id001
  - 1.0
  - 1.0
  - 1.0
  DISTRIBUTED: false
  DO_2D: false
  DO_CHUNK_TITLE: 0
  DROP_CHANNEL: false
  ENSURE_MIN_SIZE: false
  IMAGE_NAME: precomputed://file:///gpfs/marilyn/pi/kuan/shared/marmoset_project/precomputed_outputs/Gaussian-aligned_FIBSEM_Cappa_OML_of_DG
  IMAGE_SCALE: *id001
  INPUT_PATH: /gpfs/marilyn/pi/kuan/shared/marmoset_project/wk_crops/neuron_myelin_gt/neuron_myelin_fennel_x4042_y3369_z550/
  IS_ABSOLUTE_PATH: false
  IS_ISOTROPIC: true
  LABEL_BINARY: false
  LABEL_MAG: 0
  LABEL_NAME: neuron_myelin_fennel_x4042_y3369_z550_neuron_seg_v5.tif
  LABEL_SCALE: *id001
  LABEL_VAST: false
  LOAD_2D: false
  MATCH_ACT: none
  MEAN: 0.5
  NORMALIZE_RANGE: true
  OUTPUT_PATH: /gpfs/marilyn/pi/kuan/shared/marmoset_project/precomputed_outputs/fib_c_inference_neuron_v2
  PAD_MODE: reflect
  PAD_SIZE: &id002
  - 32
  - 32
  - 32
  REDUCE_LABEL: true
  REJECT_SAMPLING:
    DIVERSITY: -1
    NUM_TRIAL: 50
    P: 0.95
    SIZE_THRES: -1
  SCALE_FACTOR:
  - 2
  - 3
  - 3
  STD: 0.5
  VALID_MASK_NAME: null
  VALID_MASK_SCALE: *id001
  VALID_RATIO: 0.5
  VAL_IMAGE_NAME: null
  VAL_LABEL_NAME: null
  VAL_PAD_SIZE:
  - 0
  - 0
  - 0
  VAL_VALID_MASK_NAME: null
INFERENCE:
  AUG_MODE: min
  AUG_NUM: null
  BLENDING: gaussian
  DATA_SCALE: null
  DO_CHUNK_TITLE: null
  DO_EVAL: true
  DO_SINGLY: false
  DO_SINGLY_START_INDEX: 0
  DO_SINGLY_STEP: 1
  GEOMETRY:
    CORE_SIZE: 512
    HALO: 32
    MIP: 1
    OUTPUT_CHUNK_SIZE: 128
    ROI: null
  IMAGE_NAME: precomputed://file:///gpfs/marilyn/pi/kuan/shared/marmoset_project/precomputed_outputs/Gaussian-aligned_FIBSEM_Cappa_OML_of_DG
  INPUT_PATH: null
  INPUT_SIZE: &id003
  - 128
  - 128
  - 128
  IS_ABSOLUTE_PATH: null
  MODEL_RETURN_FEATS: null
  OUTPUT_ACT:
  - sigmoid
  OUTPUT_NAME: result.h5
  OUTPUT_PATH: precomputed://file:///gpfs/marilyn/pi/kuan/shared/marmoset_project/precomputed_outputs/fib_c_inference_neuron_v2
  OUTPUT_SCALE:
  - 1.0
  - 1.0
  - 1.0
  OUTPUT_SIZE: &id004
  - 128
  - 128
  - 128
  PAD_SIZE: *id002
  SAMPLES_PER_BATCH: 16
  STRIDE:
  - 64
  - 64
  - 64
  TENSORSTORE_PATH: null
  TEST_ID: 0
  TEST_NUM: 1
  UNPAD: true
MODEL:
  ACT_MODE: elu
  ARCHITECTURE: unet_3d
  ATTENTION: squeeze_excitation
  ATTN_DROP_RATE: 0.0
  AUX_OUT: false
  BACKBONE: resnet
  BLOCKS:
  - 2
  - 2
  - 2
  - 2
  BLOCK_TYPE: residual_se
  CONV_BLOCK: true
  DEPLOY_MODE: false
  DEPTHS:
  - 2
  - 2
  - 2
  - 2
  DOWNSAMPLE: merging
  DROPOUT_PATH_RATE: 0.0
  EMBEDDING: 1
  EXACT: true
  FILTERS:
  - 32
  - 64
  - 96
  - 128
  - 160
  FINETUNE: ''
  HEAD_DEPTH: 1
  HIDDEN_SIZE: 768
  INPUT_SIZE: *id003
  IN_PLANES: 1
  ISOTROPY:
  - false
  - false
  - false
  - true
  - true
  KERNEL_SIZES:
  - 3
  - 3
  - 5
  - 3
  - 3
  LABEL_DILATION: null
  LABEL_EROSION: null
  LOSS_KWARGS_KEY: null
  LOSS_KWARGS_VAL: null
  LOSS_OPTION:
  - - WeightedBCEFocalLoss
    - DiceLoss
  LOSS_WEIGHT:
  - - 1.0
    - 0.5
  MIXED_PRECESION: false
  MLP_DIM: 3072
  NORMALIZE: true
  NORM_MODE: gn
  NORM_NAME: instance
  OUTPUT_ACT:
  - - none
    - sigmoid
  OUTPUT_SIZE: *id004
  OUT_PLANES: 3
  PAD_MODE: replicate
  POOLING_LAYER: false
  POS_EMBED: perceptron
  PRE_MODEL: ''
  PRE_MODEL_ITER: 0
  PRE_MODEL_LAYER: ''
  REGU_OPT: null
  REGU_TARGET: null
  REGU_WEIGHT: null
  RES_BLOCK: true
  RETURN_FEATS: null
  SIZE_MATCH: true
  SPATIAL_DIMS: 3
  SWIN_UNETR_DROPOUT_RATE: 0.0
  SWIN_UNETR_FEATURE_SIZE: 48
  SWIN_UNETR_NUM_HEADS:
  - 3
  - 6
  - 12
  - 24
  TARGET_OPT:
  - '2'
  TARGET_OPT_MULTISEG_SPLIT: null
  UNETR_DROPOUT_RATE: 0.0
  UNETR_FEATURE_SIZE: 16
  UNETR_NUM_HEADS: 12
  USE_CHECKPOINT: false
  USE_V2: false
  WEIGHT_OPT:
  - - '1'
    - '0'
MONITOR:
  ITERATION_NUM:
  - 200
  - 1000
  LOG_OPT:
  - 1
  - 1
  - 0
  VIS_OPT:
  - 0
  - 16
SOLVER:
  BASE_LR: 0.002
  BETAS:
  - 0.9
  - 0.999
  BIAS_LR_FACTOR: 1.0
  CLIP_GRADIENTS:
    CLIP_TYPE: value
    CLIP_VALUE: 1.0
    ENABLED: false
    NORM_TYPE: 2.0
  GAMMA: 0.1
  ITERATION_RESTART: false
  ITERATION_SAVE: 5000
  ITERATION_STEP: 1
  ITERATION_TOTAL: 245000
  ITERATION_VAL: 5000
  LR_SCHEDULER_NAME: WarmupCosineLR
  MOMENTUM: 0.9
  NAME: SGD
  SAMPLES_PER_BATCH: 2
  STEPS:
  - 30000
  - 35000
  SWA:
    BN_UPDATE_ITER: 2000
    ENABLED: false
    LR_FACTOR: 0.05
    MERGE_ITER: 10
    START_ITER: 90000
  WARMUP_FACTOR: 0.001
  WARMUP_ITERS: 1000
  WARMUP_METHOD: linear
  WEIGHT_DECAY: 0.0001
  WEIGHT_DECAY_BIAS: 0.0
  WEIGHT_DECAY_NORM: 0.0
SYSTEM:
  DEBUG: false
  DISTRIBUTED: false
  DISTRIBUTED_BACKEND: nccl
  NUM_CPUS: 8
  NUM_GPUS: 1
  PARALLEL: DP
